# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtWebEngine
%define qt5_minver 5.15.2

Name:           python-qt5-webengine
Version:        5.15.7
Release:        %mkrel 4
Summary:        Set of Python bindings for The Qt WebEngine library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtwebengine/
#https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqtwebengine/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt5Core) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Gui) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_minver}
BuildRequires:  cmake(Qt5WebEngine) >= %{qt5_minver}

%description
PyQtWebEngine is a set of Python bindings for The Qt Company's Qt WebEngine
library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-webengine
Summary:        Python 3 bindings for PyQt 5 webengine
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-webengine
Python 3 bindings for PyQt 5 webengine.

%files -n %{py3_name}-webengine
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtWebEngine.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebEngine
%{python3_sitearch}/PyQtWebEngine-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-webenginecore
Summary:        Python 3 bindings for PyQt 5 webenginecore
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webchannel >= %{version}

%description -n %{py3_name}-webenginecore
Python 3 bindings for PyQt 5 webenginecore.

%files -n %{py3_name}-webenginecore
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtWebEngineCore.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebEngineCore

#------------------------------------------------------------

%package -n     %{py3_name}-webenginewidgets
Summary:        Python 3 bindings for PyQt 5 webenginewidgets
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginecore = %{version}-%{release}

%description -n %{py3_name}-webenginewidgets
Python 3 bindings for PyQt 5 webenginewidgets.

%files -n %{py3_name}-webenginewidgets
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebEngineWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-webengine-qsci-api
Summary:       Python 3 bindings for PyQt 5 webengine Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-webengine-qsci-api
Python 3 bindings for PyQt 5 webengine Qscintilla API.

%files -n %{py3_name}-webengine-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtWebEngine.api

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.15.7-4.mga10
+ Revision: 2243437
- Mageia 10 Mass Rebuild

* Sat Mar 08 2025 daviddavid <daviddavid> 5.15.7-3.mga10
+ Revision: 2161892
- rebuild for i686

* Fri Feb 28 2025 daviddavid <daviddavid> 5.15.7-2.mga10
+ Revision: 2153922
- rebuild for python 3.13

* Sun Jan 19 2025 daviddavid <daviddavid> 5.15.7-1.mga10
+ Revision: 2139882
- New version 5.15.7

* Fri Dec 08 2023 daviddavid <daviddavid> 5.15.6-3.mga10
+ Revision: 2015607
- rebuild for py3.12

* Mon Mar 20 2023 papoteur <papoteur> 5.15.6-2.mga9
+ Revision: 1949783
- Add missing webchannel requires for webenginecore

* Mon Sep 12 2022 papoteur <papoteur> 5.15.6-1.mga9
+ Revision: 1887472
- new 5.15.6

* Tue Mar 15 2022 papoteur <papoteur> 5.15.2-4.mga9
+ Revision: 1792973
- Use sip 6 for building instead of sip 4

* Sun Feb 13 2022 tv <tv> 5.15.2-3.mga9
+ Revision: 1773869
- Rebuild for python-3.10

* Thu Mar 18 2021 daviddavid <daviddavid> 5.15.2-2.mga9
+ Revision: 1704319
- rebuild for python 3.9

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652958
- New version 5.15.2

* Tue Nov 03 2020 akien <akien> 5.15.1-2.mga8
+ Revision: 1642215
- webenginewidgets requires webenginecore

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625558
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599179
- rebuild with sip 4.19.23

* Fri Jun 05 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590449
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545941
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485531
- New version 5.14.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.13.1-1.mga8
+ Revision: 1441173
- new version: 5.13.1

* Wed Sep 11 2019 tv <tv> 5.13.0-2.mga8
+ Revision: 1439709
- drop last py2
+ daviddavid <daviddavid>
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424690
- New version 5.13.0

* Sat Jul 27 2019 daviddavid <daviddavid> 5.12.1-3.mga8
+ Revision: 1424611
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12.1-2.mga7
+ Revision: 1384123
- Qt5 Rebuild

* Fri Mar 22 2019 daviddavid <daviddavid> 5.12.1-1.mga7
+ Revision: 1379651
- new version: 5.12.1

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366956
- initial package python-qt5-webengine

